Package org.eclipse.emf.compare.ide.ui.internal.treecontentmanager

# Interface EMFCompareDeferredTreeContentManagerProvider

public interface EMFCompareDeferredTreeContentManagerProvider
Provider Service for `EMFCompareDeferredTreeContentManager`s.

## Method Summary

Modifier and Type
Method
Description
`EMFCompareDeferredTreeContentManager`
`createEMFDeferredTreeContentManager(org.eclipse.jface.viewers.AbstractTreeViewer viewer)`
Provides a `EMFCompareDeferredTreeContentManager` for the given viewer.

## Method Details

### createEMFDeferredTreeContentManager

EMFCompareDeferredTreeContentManager createEMFDeferredTreeContentManager(org.eclipse.jface.viewers.AbstractTreeViewer viewer)
Provides a `EMFCompareDeferredTreeContentManager` for the given viewer.

Parameters:
  `viewer` - The viewer with which the `EMFCompareDeferredTreeContentManager` is created.
Returns:
  The created `EMFCompareDeferredTreeContentManager`.